For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve campaign file URL

This endpoint retrieves the URL for uploaded campaign assets for banners, banner X, and brand page campaigns. The URL is generated based on the specified file ID and file type.

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint retrieves the URL for uploaded campaign assets for banners, banner X, and brand page campaigns. The URL is generated based on the specified file ID and file type."

Retrieve campaign file URL

Banner: For the CAMPAIGN_FILE_TYPE_BANNER_IMAGE, providing a team ID, slot ID, and content standard ID is mandatory.

Display logo ID and PDF file ID: For theCAMPAIGN_FILE_TYPE_BANNER_X_CONTENT_STANDARD_DISPLAY_LOGO, CAMPAIGN_FILE_TYPE_BANNER_X_CONTENT_STANDARD_PDF_FILE, CAMPAIGN_FILE_TYPE_BANNER_CONTENT_STANDARD_DISPLAY_LOGO, CAMPAIGN_FILE_TYPE_BANNER_CONTENT_STANDARD_PDF_FILE, providing content standard ID is mandatory.

Brand Page: For CAMPAIGN_FILE_TYPE_BRAND_PAGE_IMAGE, providing the Brand Page image is mandatory.

Retrieve campaign file URL

post

This endpoint retrieves the URL for uploaded campaign assets for banners, banner X, and brand page campaigns. The URL is generated based on the specified file ID and file type.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT jwt must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Body
Responses
200

The details of the retrieved file.

application/json
expiryinteger · int32Optional

The number of seconds until the public URL link expires. The default expiration time is 3600 seconds.

Example: 3600
fileIdstringOptional

The unique ID of the file for which the URL is retrieved.

Example: 1ceee624-7c87-4e98-9995-042da2a32525
publicUrlstringOptional

The public URL of the file corresponding to the given file ID.

Example: https://storage.googleapis.com/banner-images-pending/.../path-to-public-image
post/v3/campaign-file-url
POST /v3/campaign-file-url HTTP/1.1
Host: campaign.<env>.citrusad.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 236

{
  "fileUrl": {
    "campaignFileType": "CAMPAIGN_FILE_TYPE_BANNER_X_IMAGE",
    "contentStandardId": "content_standard_001",
    "fileId": "1ceee624-7c87-4e98-9995-042da2a32525",
    "managerTeamId": "manager_team_67890",
    "slotId": "slot_001",
    "teamId": "Team-101"
  }
}
{
  "expiry": 3600,
  "fileId": "1ceee624-7c87-4e98-9995-042da2a32525",
  "publicUrl": "https://storage.googleapis.com/banner-images-pending/.../path-to-public-image"
}